Skip to content
POST/api/v1/compliance/model-cards

Generate a Model Card

Generates a Model Card for a project from supplied eval-run + security-scan ids (or none). Returns the card, optionally markdown-formatted.

Authentication

Send Authorization: Bearer YOUR_API_KEY on every request. Generate API keys at /dashboard/api-keys.

Request body required

Example

{
  "projectId": "00000000-0000-0000-0000-000000000000",
  "modelName": "string",
  "provider": "string",
  "format": "json",
  "evalRunIds": [
    "00000000-0000-0000-0000-000000000000"
  ],
  "scanIds": [
    "00000000-0000-0000-0000-000000000000"
  ],
  "metadata": {}
}
Schema
{
  "application/json": {
    "schema": {
      "type": "object",
      "properties": {
        "projectId": {
          "type": "string",
          "format": "uuid",
          "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
        },
        "modelName": {
          "type": "string",
          "minLength": 1,
          "maxLength": 200
        },
        "provider": {
          "type": "string",
          "minLength": 1,
          "maxLength": 100
        },
        "format": {
          "default": "json",
          "type": "string",
          "enum": [
            "json",
            "markdown"
          ]
        },
        "evalRunIds": {
          "maxItems": 500,
          "type": "array",
          "items": {
            "type": "string",
            "format": "uuid",
            "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
          }
        },
        "scanIds": {
          "maxItems": 500,
          "type": "array",
          "items": {
            "type": "string",
            "format": "uuid",
            "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
          }
        },
        "metadata": {
          "type": "object",
          "additionalProperties": {}
        }
      },
      "required": [
        "projectId",
        "modelName",
        "provider",
        "format"
      ],
      "additionalProperties": false
    }
  }
}

Response

200 example

{
  "success": true
}

All status codes

200Generated model card.
400(no description)
401(no description)
429(no description)

Code samples

cURL

curl -X POST \
  https://evalguard.ai/api/v1/compliance/model-cards \
  -H "Authorization: Bearer $EVALGUARD_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{ "projectId": "00000000-0000-0000-0000-000000000000", "modelName": "string", "provider": "string", "format": "json", "evalRunIds": [ "00000000-0000-0000-0000-000000000000" ], "scanIds": [ "00000000-0000-0000-0000-000000000000" ], "metadata": {} }'

TypeScript

import { EvalGuard } from "@evalguard/sdk";

const client = new EvalGuard({ apiKey: process.env.EVALGUARD_API_KEY });

const response = await client.request({
  method: "POST",
  path: "/api/v1/compliance/model-cards",
  body: {
    "projectId": "00000000-0000-0000-0000-000000000000",
    "modelName": "string",
    "provider": "string",
    "format": "json",
    "evalRunIds": [
      "00000000-0000-0000-0000-000000000000"
    ],
    "scanIds": [
      "00000000-0000-0000-0000-000000000000"
    ],
    "metadata": {}
  },
});
console.log(response);

Python

from evalguard import EvalGuard
import os

client = EvalGuard(api_key=os.environ["EVALGUARD_API_KEY"])

response = client.request(
    method="POST",
    path="/api/v1/compliance/model-cards",
    body={
    "projectId": "00000000-0000-0000-0000-000000000000",
    "modelName": "string",
    "provider": "string",
    "format": "json",
    "evalRunIds": [
        "00000000-0000-0000-0000-000000000000"
    ],
    "scanIds": [
        "00000000-0000-0000-0000-000000000000"
    ],
    "metadata": {}
},
)
print(response)

Go

package main

import (
	"context"
	"fmt"
	"net/http"
	"os"
	"strings"
)

func main() {
	body := strings.NewReader(`{"projectId":"00000000-0000-0000-0000-000000000000","modelName":"string","provider":"string","format":"json","evalRunIds":["00000000-0000-0000-0000-000000000000"],"scanIds":["00000000-0000-0000-0000-000000000000"],"metadata":{}}`)
	req, _ := http.NewRequestWithContext(context.Background(), "POST", "https://evalguard.ai/api/v1/compliance/model-cards", body)
	req.Header.Set("Authorization", "Bearer "+os.Getenv("EVALGUARD_API_KEY"))
	req.Header.Set("Content-Type", "application/json")
	resp, err := http.DefaultClient.Do(req)
	if err != nil { panic(err) }
	defer resp.Body.Close()
	fmt.Println(resp.Status)
}

Errors

400401429

Other Compliance endpoints